﻿body {
    font-family: Arial, sans-serif;
    font-size: 10px;
    font-weight: 100;
}

[popover] {
    position-area: bottom;
    margin: initial;
}

.ul {
    list-style: none;
}

.pop {
    width: 300px;
    height: auto;
    padding: 1%;
    border: solid 1px black;
    border-top: none;
    border-bottom: solid 3px black;
}

#submit-1 {
    width: 100px;
    height: 50px;
}

.separate-dotted {
    border-bottom: dotted 1px lightgray;
}

.succes, .message {
    color: green;
}

.message-error {
    color: red;
}

.error {
    color: red;
}

.bou, .aff {
    text-decoration: underline;
}

.espace-image {
    height: 50px;
    width: 50px;
}

.maitresse:hover {
    transform: translate(1.5);
}

.commande-entete {
    border-radius: 10px 10px 0 0;
    background-color: whitesmoke;
    height: 70px;
    padding: 1em;
}

.commande-corps {
    border: solid 2px whitesmoke;
    margin-left: 1px;
    margin-right: 1px;
    border-radius: 10px 10px 10px 10px;
}

.profile-container {
    border: 1px solid #ccc;
    padding: 20px;
    margin: 20px auto;
    max-width: 600px;
}

.profile-header {
    display: flex;
    align-items: center;
}

    .profile-header img {
        border-radius: 50%;
        margin-right: 20px;
    }

.profile-details {
    margin-top: 20px;
}

    .profile-details dt {
        font-weight: bold;
    }

.workflow-container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}

.step {
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 20px;
    margin-bottom: 20px;
    position: relative;
}

.step-number {
    position: absolute;
    top: -10px;
    left: -10px;
    background-color: #4CAF50;
    color: white;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.step-header {
    font-size: 24px;
    margin-bottom: 10px;
}

.step-body {
    font-size: 16px;
}

input[type=button], input[type=submit], input[type=reset], .button {
    padding: 0.50em;
    margin: 0.25em;
    border-radius: 30px;
    width: 120px;
    height: 40px;
    color: white;
    background-color: black;
    border: solid 2px black;
    border-bottom: solid 4px green;
    font-weight: bold;
    cursor: pointer;
}

    input[type=button]:hover, input[type=submit]:hover, input[type=reset]:hover, .button:hover {
        color: white;
        border: solid 2px #FF7E05;
        border-bottom: solid 2px #FF7E05;
        font-weight: bold;
        cursor: pointer;
    }

.parent {
    width: 329px;
    height: 329px;
    margin: 1%;
    border: solid 4px orange;
}

.child {
    width: 282px;
    height: 282px;
    margin: 1%;
    border: solid 4px red;
}

.child-1 {
    width: 235px;
    height: 235px;
    margin: 1%;
    border: solid 4px blue;
}

.child-2 {
    width: 188px;
    height: 188px;
    margin: 1%;
    border: solid 4px yellow;
}

.child-3 {
    width: 141px;
    height: 141px;
    margin: 1%;
    border: solid 4px pink;
}

.child-4 {
    width: 94px;
    height: 94px;
    margin: 1%;
    border: solid 4px green;
}

.child-5 {
    width: 47px;
    height: 47px;
    margin: 1%;
    border: solid 4px black;
}

.command:hover {
    color: blue;
    border-radius: 30px;
    border: solid 2px green;
    border-bottom: solid 4px green;
    cursor: pointer;
}

.command {
    padding: 0.50em;
    margin: 0.25em;
    border-radius: 30px;
    width: 120px;
    height: 40px;
    border: solid 2px #FF7E05;
    border-bottom: solid 4px green;
    color: #FF7E05;
    font-weight: bold;
    cursor: pointer;
}

.command-m {
    padding: 0.50em;
    margin: 0.25em;
    border-radius: 30px;
    width: 120px;
    height: 40px;
    border: solid 2px #FF7E05;
    border-bottom: solid 4px green;
    color: #FF7E05;
    font-weight: bold;
    cursor: pointer;
}

.livraison li {
    color: orange;
    list-style: none;
}

    .livraison li:hover {
        border: solid 2px green;
        border-bottom: none 2px green;
        cursor: pointer;
        padding: 1em;
    }

.m-click {
    border: solid 4px green;
    border-bottom: none 2px green;
    border-left: solid 2px green;
    border-right: solid 2px green;
    cursor: pointer;
    padding: 1em;
    color: orange;
}

.bg-desc {
    background-color: whitesmoke;
}

.livraison:hover {
    border-bottom: dashed 1px green;
}

.livraison {
    border-bottom: dashed 1px green;
}

.cacher {
    display: none;
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
    color: #FF7E05;
}

a:active {
    text-decoration: none;
}

.s-communaute {
    color: royalblue;
    border: solid 1px whitesmoke;
    background-color: lavender;
    padding: 1%;
}

.communaute {
    color: royalblue;
    border: solid 1px whitesmoke;
    background-color: whitesmoke;
    text-transform: uppercase;
    padding: 1%;
}

.s-communaute:hover {
    /* background-color: #FF7E05;*/
    margin-left: 1%;
    margin-right: 1%;
    font-weight: bold;
    border: none;
    cursor: pointer;
    color: white;
}

.communaute:hover {
    /* background-color: #FF7E05;*/
    margin-left: 1%;
    margin-right: 1%;
    font-weight: bold;
    border: none;
}

.communaute {
    margin-bottom: -3px;
}

.illustration {
    width: 30px;
    height: 30px;
    border: solid 1px whitesmoke;
    border: solid 2px whitesmoke;
    border-radius: 8px;
}

.desc-line {
    border-left: solid 1px lightgray;
    border-bottom: solid 1px lightgray;
    border-right: solid 1px lightgray;
    margin-bottom: -3px;
}

    .desc-line:hover {
        margin-left: 1%;
        margin-right: 1%;
        font-weight: bold;
        cursor: pointer;
    }

.racine, .adherent {
    color: #FF7E05;
}

    .racine:hover {
        box-shadow: revert-layer;
    }

.adherent {
    cursor: pointer;
}

.a-ul {
    /*  list-style: none;
    border-left: dashed 1px lightgray;
    border-top: dashed 1px lightgray;
    border-bottom: dashed 1px lightgray;*/
    border: none;
}

.a-ul-dot {
    border-bottom: dashed 1px lightgray;
}

ul, ol, dl {
    width: 100%;
}

.no-show {
    display: non;
}

.dot {
    border-bottom: dashed 1px lightgray;
    cursor: pointer;
}

    .dot:hover {
        padding-left: 2%;
    }

.synonym {
}

.c-discussion {
    background-color: whitesmoke;
}

.discussion-expander {
    cursor: pointer;
}

.fixed {
    position: fixed;
    top: 0;
    width: 100%;
}

.contain {
    display: flex;
    margin: 0;
    height: 100vh;
    overflow: hidden;
}

.left {
    width: 30%;
    background-color: lightblue;
    position: fixed;
    height: 100%;
    padding: 20px;
    overflow-y: auto;
}

.right {
    margin-left: 18%;
    width: 80%;
    height: 100%;
    overflow-y: auto;
    padding: 18px;
    padding-bottom: 5%;
}


.menut {
    list-style: none;
    list-style-type: none;
}

.down-arr {
    color: blue;
    border: solid 2px #FF7E05;
    border-radius: 30px;
    width: 20px;
    padding: .5%;
}

    .down-arr:hover {
        color: #FF7E05;
        border: solid 2px #FF7E05;
        border-radius: 30px;
        padding: .5%;
    }

.rtable {
    table-layout: fixed;
    width: 100%;
}

.noShow {
    display: none;
}

.a-image {
    width: 200px;
    height: 200px;
}

#attachement {
    width: auto;
    height: 30px;
    border: none;
}

.attach {
    cursor: pointer;
}

.msgForm {
    width: 95%;
    padding: 1%;
    border: solid 2px lightgray;
    border-radius: 20px;
    height: 60px;
}

.no-result {
    color: orangered;
}

.boutique {
    border: solid 1px whitesmoke;
    border-left: solid 4px whitesmoke;
    border-radius: 10px;
}

.libre {
    /*  padding: 1%;
    border: solid 2px lightgray;
    border-radius: 10px;
    height: 60px;*/
    border-bottom: solid 2px #FF7E05;
    margin: 1em;
    padding: 1%;
    margin-left: 0;
    padding-left: 0;
    font-family: 'Segoe UI';
    color: deepskyblue;
    text-transform: uppercase;
    font-size: 12px;
    width: 100%;
}

label {
    margin: 1%;
    padding: 1%;
    font-weight: bold;
}

.li {
    font-weight: bold;
}

.desc {
    text-align: justify;
}

.img-display {
    width: 50px;
    height: 50px;
}

.adhere {
    cursor: pointer;
}

.play {
    cursor: pointer;
}

.reply-pj {
    width: 300px;
    height: 200px;
}

    .reply-pj:hover {
        transform: scale(2);
    }

.justify {
    text-align: justify;
}

.titre {
    border-bottom: solid 2px #FF7E05;
    margin: 1em;
    padding: 1%;
    margin-left: 0;
    padding-left: 0;
    font-family: 'Segoe UI';
    color: deepskyblue;
    text-transform: uppercase;
    font-size: 12px;
    width: 100%;
}

.titre-sec {
    border-bottom: none 2px #FF7E05;
    margin: 1em;
    padding: .5em;
    margin-left: 0;
    padding-left: 0;
    font-family: 'Segoe UI';
    color: deepskyblue;
    text-transform: uppercase;
    font-size: 12px;
    width: 100%;
}

.profile {
    height: 100px;
    width: 100px;
}

.rubrique {
    border: 1px solid #ccc;
    border-radius: 10px;
    margin: 1em auto;
    padding: 1em;
}

.boutique-image {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

.commande-image {
    width: 120px;
    height: 120px;
    object-fit: cover;
}

.imgDetail {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.idetail {
    width: 400px;
    height: 400px;
    object-fit: cover;
}

.petit-img {
    width: 250px;
    height: 250px;
    border-bottom: solid 2px lightgray;
    border-radius: 5px;
}

.entite-flow {
    overflow-x: auto;
}

.couleur-carde {
    border: solid 1px lightgray;
    padding: 0.5%;
    width: 70px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
}

.taille-cadre {
    border: solid 1px lightgray;
    padding: 0.5%;
    width: 70px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
}

.moins,
.plus,
.q-valeur,
.q-valeur-q,
.plus-q,
.moins-q {
    background-color: lavender;
    border: solid 1px lightgray;
    margin: 2px;
    width: 30px;
    padding: 0.5%;
    border-radius: 30px;
    height: 30px;
    vertical-align: middle;
    text-align: center;
    cursor: pointer;
}

.q-valeur,
.q-valeur-q {
    border: solid 1px lightgray;
    background-color: transparent;
}

.entite {
    border-bottom: solid 2px darkorange;
    border-radius: 20px;
    width: 110px;
    background-color: aliceblue;
    border: solid 2px black;
    font-weight: bold;
}

    .entite:hover {
        border-bottom: none;
        border-radius: 20px;
        width: 110px;
        color: darkorange;
        background-color: aliceblue;
        border: solid 2px darkorange;
    }

.entite-card {
    width: 60px;
    height: 60px;
    background-color: forestgreen;
}

img-i {
    width: 100%;
    height: auto;
    max-width: 300px;
}

.panier {
    position: relative;
}

    .panier .panier-count {
        top: -9px;
        right: -7px;
        font-weight: bold;
    }

.mode-paiement {
    width: 200px;
    height: 40px;
    border: solid 2px #FF7E05;
}

.communaute-bgrd {
    background-color: lavender;
}
.rtoggle a {
    border-radius:100%;
    padding:1%;
}
/*===================================================================*/
@media (max-width: 768px) {
    .m-container {
        display: flex;
        flex-direction: column;
    }

    .left {
        position: relative;
        width: 92%;
        margin: 6%;
        color: red;
        height:100px;
        z-index: 10000;
    }

    .right {
        width: 100%;
        margin-left: auto;
    }

    main {
        width: 100%;
    }

    .boutique-image {
        width: 100%;
        margin: 0;
    }
}

@media (min-width: 768px) {
    .left {
        height: 100%;
        color:red;
    }
}
